Doomsday Engine - Feature #1633

Feature # 1608 (Progressed): Integrate Doomsday Script
Console commands and Doomsday Script
2013-10-22 15:32 - skyjake

Status: New Start date: 2013-10-22
Priority: High % Done: 0%
Assignee: skyjake

Category: Redesign

Target version: 3.x

Description

The interactive console is intended to be a nice and easy way to modify engine configuration and execute certain commands.
Doomsday Script, on the hand, is not as well-suited for interactive use as it has a more complicated syntax.

Presently (1.12), the console subsystem goes all the way back to the start of the project, and is not a very clean implementation. It
should be completely replaced with a translation layer that parses the console command syntax and maps it to equivant Doomsday
Script.

In practice this means that all the console variables and commands need to be mapped into some location visible to Doomsday
Script, e.g., rend-model in libdoom — Config.plugin.doom.rend.model (dashes automatically converted to dots thanks to PathTree).

Related issues:

Related to Feature #1290: Session-only cvars New 2003-09-23
Related to Feature #2241: Configure games via Home Ul (advanced users, cf. au... Progressed  2017-04-05
Related to Feature #1793: Use rich formatting in help strings New 2014-05-01
History

#1 - 2013-10-22 15:34 - skyjake

- Description updated

#2 - 2017-04-03 18:50 - skyjake

- Related to Feature #1290: Session-only cvars added

#3 - 2017-04-05 18:56 - skyjake

- Related to Feature #2241: Configure games via Home Ul (advanced users, cf. autoexec.cfg) added

#4 - 2019-10-14 10:26 - skyjake
- Related to Feature #1793: Use rich formatting in help strings added

#5 - 2019-11-29 20:24 - skyjake

- Target version set to 3.x
